Audit API
Actions in the audit namespace of the Nexigon Hub API.
audit_QueryAuditLogEvents
POST /api/v1/actions/invoke/audit_QueryAuditLogEvents Query the events recorded in the audit log.
Requires administrator permissions.
Request QueryAuditLogEventsAction
No fields.
Response QueryAuditLogEventsOutput
Fields (JSON object)
eventsrequiredList of audit events.
array<AuditLogEvent>
Items
AuditLogEvent
Fields (JSON object)
eventId(fromevent_id) requiredID of the audit log event.
AuditLogEventId
stringactorrequiredActor causing the event.
Actor
Cases internally β tag field
actorAnonymousAn anonymous, unauthenticated actor.
{ "actor": "Anonymous", ...<payload fields> } β or "content" for non-object payloadsAnonymousActor
No fields.
SystemThe system itself, typically used for internal actions.
{ "actor": "System", ...<payload fields> } β or "content" for non-object payloadsSystemActor
No fields.
DeviceA device authenticated via a specific deployment token.
{ "actor": "Device", ...<payload fields> } β or "content" for non-object payloadsDeviceActor
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringtokenId(fromtoken_id) requiredID of the deployment token used for authentication.
DeploymentTokenId
string
UserA user typically authenticated via a user session.
{ "actor": "User", ...<payload fields> } β or "content" for non-object payloadsUserActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
UserTokenA user authenticated via a specific token.
{ "actor": "UserToken", ...<payload fields> } β or "content" for non-object payloadsUserTokenActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringtokenId(fromtoken_id) requiredID of the user token used for authentication.
UserTokenId
string
ClusterNodeA cluster node.
{ "actor": "ClusterNode", ...<payload fields> } β or "content" for non-object payloadsClusterNodeActor
Fields (JSON object)
nodeId(fromnode_id) requiredID of the cluster node.
ClusterNodeId
string
OrganizationApiTokenAn organization API token.
{ "actor": "OrganizationApiToken", ...<payload fields> } β or "content" for non-object payloadsOrganizationApiTokenActor
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringtokenId(fromtoken_id) requiredID of the API token.
OrganizationApiTokenId
string
eventrequiredType of the event that was recorded.
string
datarequiredAdditional audit data associated with the event.
JsonValue
anycreatedAt(fromcreated_at) requiredTimestamp indicating when the audit log event was recorded.
Timestamp
stringactionoptionalAction the event has been caused by (if any).
AuditLogEventAction
Fields (JSON object)
actionId(fromaction_id) requiredID of the action.
AuditLogActionId
string
joboptionalJob the event has been caused by (if any).
AuditLogEventJob
Fields (JSON object)
jobId(fromjob_id) requiredID of the job.
JobId
string
audit_QueryAuditLogActions
POST /api/v1/actions/invoke/audit_QueryAuditLogActions Query the actions recorded in the audit log.
Requires administrator permissions.
Request QueryAuditLogActionsAction
No fields.
Response QueryAuditLogActionsOutput
Fields (JSON object)
actionsrequiredList of actions.
array<AuditLogAction>
Items
AuditLogAction
Fields (JSON object)
actionId(fromaction_id) requiredID of the audit log action.
AuditLogActionId
stringactorrequiredActor that performed the action.
Actor
Cases internally β tag field
actorAnonymousAn anonymous, unauthenticated actor.
{ "actor": "Anonymous", ...<payload fields> } β or "content" for non-object payloadsAnonymousActor
No fields.
SystemThe system itself, typically used for internal actions.
{ "actor": "System", ...<payload fields> } β or "content" for non-object payloadsSystemActor
No fields.
DeviceA device authenticated via a specific deployment token.
{ "actor": "Device", ...<payload fields> } β or "content" for non-object payloadsDeviceActor
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringtokenId(fromtoken_id) requiredID of the deployment token used for authentication.
DeploymentTokenId
string
UserA user typically authenticated via a user session.
{ "actor": "User", ...<payload fields> } β or "content" for non-object payloadsUserActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
UserTokenA user authenticated via a specific token.
{ "actor": "UserToken", ...<payload fields> } β or "content" for non-object payloadsUserTokenActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringtokenId(fromtoken_id) requiredID of the user token used for authentication.
UserTokenId
string
ClusterNodeA cluster node.
{ "actor": "ClusterNode", ...<payload fields> } β or "content" for non-object payloadsClusterNodeActor
Fields (JSON object)
nodeId(fromnode_id) requiredID of the cluster node.
ClusterNodeId
string
OrganizationApiTokenAn organization API token.
{ "actor": "OrganizationApiToken", ...<payload fields> } β or "content" for non-object payloadsOrganizationApiTokenActor
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringtokenId(fromtoken_id) requiredID of the API token.
OrganizationApiTokenId
string
actionrequiredType of the action that was performed.
string
datarequiredAdditional audit data associated with the action.
object<string, JsonValue>
Keys
string
Values
JsonValue
anystatusrequiredStatus associated with the action
AuditLogActionStatus
Cases externally
RejectedAction got rejected (failed precondition check).
Value: "Rejected"PanickedAction or precondition check panicked (e.g., due to a bug).
Value: "Panicked"SucceededAction was executed successfully.
Value: "Succeeded"FailedAction execution failed (e.g., due to missing permissions).
Value: "Failed"PendingAction is being executed.
Value: "Pending"
createdAt(fromcreated_at) requiredTimestamp indicating when the audit log action was recorded.
Timestamp
string